LVM and VxVM
cancel
Showing results for 
Search instead for 
Did you mean: 

Importing a vg from 11.23 to 11.31

 
SOLVED
Go to solution
MichaelFay
Occasional Contributor

Importing a vg from 11.23 to 11.31

I have a cluster running on HPUX 11.23. I want to move one of the packages into a different cluster running on HPUX 11.31 - I have done this before, but I can't remember how I got the vg for the disks from the 11.23 server imported to the 11.31 server -

 

Would I be able to do this just by doing the standard vgexport -p -m map.file vg on the 11.23 server and do the vgimport -N -m map.file vg disk on the 11.31 server? 

2 REPLIES 2
Patrick Wallek
Honored Contributor
Solution

Re: Importing a vg from 11.23 to 11.31

Yes, that should work.

 

The only thing that may trip  you up is the file systems vxfs version.  HP-UX 11.23 supports file system versions as early as version 3.  HP-UX 11.31 only supports file systems as early as version 4.

 

To determine the file system version you use the command 'fstyp -v' and run it against the  raw logical volume.

 

For example:

 

# fstyp -v /dev/vg00/rlvol7
vxfs
version: 5
f_bsize: 8192
f_frsize: 8192
f_blocks: 462848
f_bfree: 226372
f_bavail: 226372
f_files: 34080
f_ffree: 1075170792
f_favail: 1075170792
f_fsid: 1073741831
f_basetype: vxfs
f_namemax: 254
f_magic: a501fcf5
f_featurebits: 0
f_flag: 16
f_fsindex: 9
f_size: 462848

 

Notice the "version" line in the 2nd line of output above.  In this case the filesystem is vxfs version 5.  

 

In your case, as long as the version listed is 4 or higher, you should be OK.

 

Information on available vxfs versions is here:

http://h20000.www2.hp.com/bc/docs/support/SupportManual/c01919408/c01919408.pdf

MichaelFay
Occasional Contributor

Re: Importing a vg from 11.23 to 11.31

Thanks. Looks like my lvols are using version 6 so I think I should be okay.